%define base_name       cli
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define version         1.0
%define release         1jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Jakarta Commons CLI, a Command Line Interface for Java
License:        Apache Software License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://jakarta.apache.org/commons/cli/
Source:         http://jakarta.apache.org/builds/jakarta-commons/release/commons-cli/v1.0/commons-cli-1.0-src.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  ant, junit, jakarta-commons-lang, jakarta-commons-logging
Requires:       jakarta-commons-lang, jakarta-commons-logging

%description
The CLI library provides a simple and easy to use API for working with
the command line arguments and options.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{short_name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/commons-logging.jar:\
%{javadir}/commons-lang.jar:\
%{javadir}/junit.jar:\
target/%{short_name}.jar:target/test-classes # for tests
mkdir lib
ant -Dbuild.sysclasspath=only -Dfinal.name=%{short_name} jar test dist

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp -p dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/apidocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt
%{javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue Dec 10 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0-1jpp
- 1.0, first JPackage release.
